Attribute VB_Name = "MappedContacts"

' Nicola Zordan: www.NicolaZordan.com 10:21 4/25/2007


Sub MapSelectedContacts()
    Dim myOlApp As New Outlook.Application
    Dim myOlExp As Outlook.Explorer
    Dim myOlSel As Outlook.Selection
    Dim MsgTxt As String
    Dim i As Integer

    Dim MappingServerPage As String
    MappingServerPage = "http://www.MappedContacts.com/MapContacts.asp"

    
    MsgTxt = "You have selected items : " & vbNewLine & vbNewLine
    Set myOlExp = myOlApp.ActiveExplorer
    Set myOlSel = myOlExp.Selection
    
    'If (myOlSel.Class = olContactItem) Then
    If (myOlExp.CurrentFolder.DefaultItemType <> olContactItem) Then
      MsgBox "You must select Contacts to Map them"
      Exit Sub
    End If
    
    'MsgBox "selected : " & myOlSel.Count
    If (myOlSel.Count < 1) Then
      MsgBox "No Contact was selected (" & myOlSel.Count & ")"
      Exit Sub
    End If
    
    
    Dim name As String, address As String, tel As String, description As String
    Dim company As String
    
    Dim cList As String
    Dim xml As String
    
  cList = ""
  cList = cList & "<ol>"
  xml = xml & "<?xml version=""1.0"" encoding=""UTF-8""?>" & vbNewLine
  xml = xml & "<!-- <?xml-stylesheet type=""text/xsl"" href=""Trip2Locations.xsl"" ?> -->" & vbNewLine
  xml = xml & "<!-- <?xml-stylesheet type=""text/xsl"" href=""Trip2Connections.xsl"" ?> -->" & vbNewLine
  xml = xml & "<!-- <?xml-stylesheet type=""text/xsl"" href=""Trip2Trip.xsl"" ?>  -->" & vbNewLine
  xml = xml & "<!-- Author: Nicola Zordan 2/8/2007 11:11 Nicola@Zordan.net -->" & vbNewLine
  xml = xml & "<Trip Name=""MappedContacts.com" & " Outlook contacts" & " "
    
  If (disasterPlanDate <> Null And disasterPlanDate <> "") Then
    xml = xml & " (" & disasterPlanDate & ") "
  End If
  xml = xml & """ >" & vbNewLine
  xml = xml & "   <Description>Outlook selected contacts list</Description>" & vbNewLine
  'xml = xml & "   <DetailsURL>http://www.NicolaZordan.net</DetailsURL>" & vbNewLine
  xml = xml & "   <DetailsURL>http://www.MappedContacts.com</DetailsURL>" & vbNewLine
  xml = xml & "   <ImageURL></ImageURL>" & vbNewLine
  xml = xml & "   <Locations>" & vbNewLine
  
  Dim contactCount As Integer
  contactCount = 0
    
  For i = 1 To myOlSel.Count
      If (myOlSel.Item(i).Class = olContact) Then
      'name = myOlSel.Item(i).FullName
      'name = myOlSel.Item(i).FullName & " (" & myOlSel.Item(i).CompanyName & ")"
      name = myOlSel.Item(i).FullName
      company = myOlSel.Item(i).CompanyName
      If (company <> "") Then name = name & " (" & company & ")"
      'address = myOlSel.Item(i).BusinessAddressStreet & ", " & myOlSel.Item(i).BusinessAddressCity & ", " & myOlSel.Item(i).BusinessAddressState & " " & myOlSel.Item(i).BusinessAddressPostalCode & " " & myOlSel.Item(i).BusinessAddressCountry
      
      If (myOlSel.Item(i).BusinessAddressStreet <> "") Then
        address = myOlSel.Item(i).BusinessAddressStreet & ", " & myOlSel.Item(i).BusinessAddressCity & ", " & myOlSel.Item(i).BusinessAddressState & " " & myOlSel.Item(i).BusinessAddressPostalCode
        If (myOlSel.Item(i).BusinessAddressCountry <> "United States of America") Then
          address = address & ", " & myOlSel.Item(i).BusinessAddressCountry
        End If
      Else
        address = myOlSel.Item(i).HomeAddressStreet & ", " & myOlSel.Item(i).HomeAddressCity & ", " & myOlSel.Item(i).HomeAddressState & " " & myOlSel.Item(i).HomeAddressPostalCode
        If (myOlSel.Item(i).HomeAddressCountry <> "United States of America") Then
          address = address & ", " & myOlSel.Item(i).HomeAddressCountry
        End If
      End If
      'MsgBox myOlSel.Item(i).BusinessAddressCountry
      
      
      tel = myOlSel.Item(i).BusinessTelephoneNumber & ", " & myOlSel.Item(i).HomeTelephoneNumber
      'description = myOlSel.Item(i).JobTitle & " " & myOlSel.Item(i).Email1Address
      description = ""
      description = description & myOlSel.Item(i).JobTitle
      If (myOlSel.Item(i).Email1Address <> "") Then
        If (description <> "") Then
          description = description & "<br/>"
        End If
        'description = description & "<a href=""mailto:" & myOlSel.Item(i).Email1Address & """ >" & myOlSel.Item(i).Email1Address & "</a>"
        'description = description & " " & myOlSel.Item(i).Email1Address
        description = description & "<a href='mailto:" & myOlSel.Item(i).Email1Address & "' >" & myOlSel.Item(i).Email1Address & "</a>"
      End If
      
      'MsgBox description
      'MsgTxt = MsgTxt & name & ":" & address & ":" & tel & ":" & description & vbNewLine
      MsgTxt = MsgTxt & name & vbNewLine
      
      'cList = cList & name & " (" & myOlSel.Item(i).CompanyName & ") <br/>" & vbNewLine
      'cList = cList & "<li>" & name & " (" & myOlSel.Item(i).CompanyName & ") </li>" & vbNewLine
      cList = cList & "<li>" & name & "</li>" & vbNewLine
      
      xml = xml & "     <Location "
      xml = xml & " index=""" & (i + 0) & """"
      xml = xml & " Name=""" & name & """"
      xml = xml & " >" & vbNewLine
      
      xml = xml & "       <Description>"
      xml = xml & "<![CDATA["
      'xml=xml+HTML4xml(desc);
      xml = xml & description
      xml = xml & "]]>"
      xml = xml & "</Description>" & vbNewLine
      xml = xml & "       <Address>" & address & "</Address>" & vbNewLine
      xml = xml & "       <Tel>" & tel & "</Tel>" & vbNewLine
      
      xml = xml & "     </Location>" & vbNewLine
      contactCount = contactCount + 1
      End If
      'MsgBox xml
  Next i
  
  If (contactCount < 1) Then
    MsgBox "No contact found to be mapped"
    Exit Sub
  End If
    
  xml = xml & "   </Locations>" & vbNewLine
  xml = xml & "</Trip>" & vbNewLine
    
    
  'MsgBox MsgTxt
  'MsgBox Right(xml, 50)
  'MsgBox xml
    
  ' create the IE html
  Dim html As String
  html = ""
  html = html & "<html>" & vbNewLine
  html = html & "<head>" & vbNewLine
  html = html & "<title>" & vbNewLine
  html = html & "MappedContacts.com" & vbNewLine
  html = html & "</title>" & vbNewLine
  html = html & "</head>" & vbNewLine
  html = html & "<body onload=""GetMap()"" >" & vbNewLine
  
  html = html & "<h1><center>" & vbNewLine
  html = html & "Outlook Contacts Map" & vbNewLine
  html = html & "</center></h1>" & vbNewLine
  
  html = html & "<form name=""outlook"" action=""" & MappingServerPage & """ method=""POST"" >" & vbNewLine
  'html = html & "<form name=""outlook"" action=""http://services.NicolaZordan.com/OutlookMap/MapLocationsOutlook.asp"" method=""POST"" >" & vbNewLine
  'html = html & "<form name=""outlook"" action=""http://localhost/web/1and1/NicolaZordan/services/OutlookMap/MapLocationsOutlook.asp"" method=""POST"" >" & vbNewLine
  
  
  html = html & "<center>" & vbNewLine
  'html = html & "<input type=""button"" value=""show map"" onClick=""ShowMap()"" />" & vbNewLine
  html = html & "<input type=""submit"" value=""show map"" 0onClick=""ShowMap()"" />" & vbNewLine
  html = html & "<table><tr><td align=""left"">" & vbNewLine
  html = html & cList & vbNewLine
  html = html & "</td></tr></table>" & vbNewLine
  html = html & "</center>" & vbNewLine
  
  html = html & "<script language=""JavaScript"">" & vbNewLine
  html = html & "<!--//" & vbNewLine
  html = html & "" & vbNewLine
  html = html & "" & vbNewLine
  
  html = html & "function GetMap() {" & vbNewLine
  html = html & "  document.outlook.submit();" & vbNewLine
  html = html & "};" & vbNewLine
  
  html = html & "" & vbNewLine
  
  'html = html & "var ZoneName='';" & vbNewLine
  html = html & "var ZoneName='Outlook Contacts';" & vbNewLine
  html = html & "var ZoneMembers=[];" & vbNewLine
  html = html & "var ZoneEMails=[];" & vbNewLine
  html = html & "var ZoneTeamLeadersIx=[];" & vbNewLine
  html = html & "var ZoneMeetingPlaces=[];" & vbNewLine
  
  html = html & "" & vbNewLine
  'html = html & "var MapPage='http://services.NicolaZordan.com/OutlookMap/MapLocationsZoneTxt.htm';  " & vbNewLine
  html = html & "var MapPage='http://MappedContacts.com/MapContacts.htm';  " & vbNewLine
  html = html & "var TripXMLdocument;  " & vbNewLine
  html = html & "function ShowMap () {" & vbNewLine
  html = html & "  //alert('show map');" & vbNewLine
  html = html & "  var xmlTxt=document.all.xmlTextArea.value;" & vbNewLine
  html = html & "  " & vbNewLine
  html = html & "  var xmlObj=new ActiveXObject('Microsoft.XMLDOM');" & vbNewLine
  html = html & "  xmlObj.async=false;" & vbNewLine
  html = html & "  xmlObj.loadXML(xmlTxt);" & vbNewLine
  html = html & "  " & vbNewLine
  html = html & "  TripXMLdocument=xmlObj;" & vbNewLine
  html = html & "  " & vbNewLine
  html = html & "  window.open(MapPage);" & vbNewLine
  html = html & "  " & vbNewLine
  html = html & "  //alert(xmlTxt);" & vbNewLine
  html = html & "  " & vbNewLine
  html = html & "" & vbNewLine
  html = html & "};" & vbNewLine
  html = html & "" & vbNewLine
  html = html & "//-->" & vbNewLine
  html = html & "</script>" & vbNewLine
  
  html = html & "<div style=""{visibility: hidden; display: none}"">" & vbNewLine
  html = html & "<textarea id=""xmlTextArea"" name=""xmlText"" >" & vbNewLine
  html = html & xml & vbNewLine
  html = html & "</textarea>" & vbNewLine
  html = html & "</div>" & vbNewLine
  
  html = html & "</form>" & vbNewLine
  
  
  html = html & "</body>" & vbNewLine
  html = html & "</html>" & vbNewLine
  
  ' open IE window
  'Dim IE As SHDocVw.InternetExplorer
      Set IE = CreateObject("InternetExplorer.application")
      IE.Navigate2 ("about:blank")

      IE.Visible = True
      ' Change the following line to the Internet site you want to open.
      's.Navigate "http://webmail//SampleFolder/"
      'Set ied = IE.document
      IE.document.Write html
      IE.document.Close
      
      'MsgBox ied.Body.innerHTML
      'ed.Body.innerHTML = html
      'MsgBox ied.Body.innerHTML
      'ie.window.document.innerHTML = html

  
  ' put html and xml in it
  ' open map display
    
    
End Sub


Sub SelectedContactsLabels()
    Dim myOlApp As New Outlook.Application
    Dim myOlExp As Outlook.Explorer
    Dim myOlSel As Outlook.Selection
    Dim MsgTxt As String
    Dim i As Integer

    Dim LabelServerPage As String
    LabelServerPage = "http://www.MappedContacts.com/MailingLabels.asp"
    'LabelServerPage = "http://www.MappedContacts.com/MailingLabels.htm"

    
    MsgTxt = "You have selected items : " & vbNewLine & vbNewLine
    Set myOlExp = myOlApp.ActiveExplorer
    Set myOlSel = myOlExp.Selection
    
    'If (myOlSel.Class = olContactItem) Then
    If (myOlExp.CurrentFolder.DefaultItemType <> olContactItem) Then
      MsgBox "You must select Contacts to Map them"
      Exit Sub
    End If
    
    'MsgBox "selected : " & myOlSel.Count
    If (myOlSel.Count < 1) Then
      MsgBox "No Contact was selected (" & myOlSel.Count & ")"
      Exit Sub
    End If
    
    
    Dim name As String, address As String, tel As String, description As String
    Dim company As String
    
    Dim cList As String
    Dim xml As String
    Dim tx As String
    
  txt = ""
  txt = txt & "["
    
  cList = ""
  cList = cList & "<ol>"
  xml = xml & "<?xml version=""1.0"" encoding=""UTF-8""?>" & vbNewLine
  xml = xml & "<!-- <?xml-stylesheet type=""text/xsl"" href=""Trip2Locations.xsl"" ?> -->" & vbNewLine
  xml = xml & "<!-- <?xml-stylesheet type=""text/xsl"" href=""Trip2Connections.xsl"" ?> -->" & vbNewLine
  xml = xml & "<!-- <?xml-stylesheet type=""text/xsl"" href=""Trip2Trip.xsl"" ?>  -->" & vbNewLine
  xml = xml & "<!-- Author: Nicola Zordan 2/8/2007 11:11 Nicola@Zordan.net -->" & vbNewLine
  xml = xml & "<Trip Name=""MappedContacts.com" & " Outlook contacts" & " "
    
  If (disasterPlanDate <> Null And disasterPlanDate <> "") Then
    xml = xml & " (" & disasterPlanDate & ") "
  End If
  xml = xml & """ >" & vbNewLine
  xml = xml & "   <Description>Outlook selected contacts list</Description>" & vbNewLine
  'xml = xml & "   <DetailsURL>http://www.NicolaZordan.net</DetailsURL>" & vbNewLine
  xml = xml & "   <DetailsURL>http://www.MappedContacts.com</DetailsURL>" & vbNewLine
  xml = xml & "   <ImageURL></ImageURL>" & vbNewLine
  xml = xml & "   <Locations>" & vbNewLine
  
  Dim contactCount As Integer
  contactCount = 0
    
  For i = 1 To myOlSel.Count
      If (myOlSel.Item(i).Class = olContact) Then
      'name = myOlSel.Item(i).FullName
      'name = myOlSel.Item(i).FullName & " (" & myOlSel.Item(i).CompanyName & ")"
      name = myOlSel.Item(i).FullName
      company = myOlSel.Item(i).CompanyName
      '--If (company <> "") Then name = name & " (" & company & ")"
      'address = myOlSel.Item(i).BusinessAddressStreet & ", " & myOlSel.Item(i).BusinessAddressCity & ", " & myOlSel.Item(i).BusinessAddressState & " " & myOlSel.Item(i).BusinessAddressPostalCode & " " & myOlSel.Item(i).BusinessAddressCountry
      
      If (myOlSel.Item(i).BusinessAddressStreet <> "") Then
        address = myOlSel.Item(i).BusinessAddressStreet & ", " & myOlSel.Item(i).BusinessAddressCity & ", " & myOlSel.Item(i).BusinessAddressState & " " & myOlSel.Item(i).BusinessAddressPostalCode
        If (myOlSel.Item(i).BusinessAddressCountry <> "United States of America") Then
          address = address & ", " & myOlSel.Item(i).BusinessAddressCountry
        End If
      Else
        address = myOlSel.Item(i).HomeAddressStreet & ", " & myOlSel.Item(i).HomeAddressCity & ", " & myOlSel.Item(i).HomeAddressState & " " & myOlSel.Item(i).HomeAddressPostalCode
        If (myOlSel.Item(i).HomeAddressCountry <> "United States of America") Then
          address = address & ", " & myOlSel.Item(i).HomeAddressCountry
        End If
      End If
      'MsgBox myOlSel.Item(i).BusinessAddressCountry
      
      
      tel = myOlSel.Item(i).BusinessTelephoneNumber & ", " & myOlSel.Item(i).HomeTelephoneNumber
      'description = myOlSel.Item(i).JobTitle & " " & myOlSel.Item(i).Email1Address
      description = ""
      description = description & myOlSel.Item(i).JobTitle
      If (myOlSel.Item(i).Email1Address <> "") Then
        If (description <> "") Then
          description = description & "<br/>"
        End If
        'description = description & "<a href=""mailto:" & myOlSel.Item(i).Email1Address & """ >" & myOlSel.Item(i).Email1Address & "</a>"
        'description = description & " " & myOlSel.Item(i).Email1Address
        description = description & "<a href='mailto:" & myOlSel.Item(i).Email1Address & "' >" & myOlSel.Item(i).Email1Address & "</a>"
      End If
      
      'MsgBox description
      'MsgTxt = MsgTxt & name & ":" & address & ":" & tel & ":" & description & vbNewLine
      MsgTxt = MsgTxt & name & vbNewLine
      
      'cList = cList & name & " (" & myOlSel.Item(i).CompanyName & ") <br/>" & vbNewLine
      'cList = cList & "<li>" & name & " (" & myOlSel.Item(i).CompanyName & ") </li>" & vbNewLine
      cList = cList & "<li>" & name & "</li>" & vbNewLine
      
      'txt = txt & name & "," & address & "," & tel & "," & Email
      If (txt <> "[") Then txt = txt & ","
      txt = txt & "[" & """" & name & """" & "," & """" & address & """" & "," & """" & tel & """" & "," & """" & Email & """" & "]"
      
      xml = xml & "     <Location "
      xml = xml & " index=""" & (i + 0) & """"
      xml = xml & " Name=""" & name & """"
      xml = xml & " >" & vbNewLine
      
      xml = xml & "       <Description>"
      xml = xml & "<![CDATA["
      'xml=xml+HTML4xml(desc);
      xml = xml & description
      xml = xml & "]]>"
      xml = xml & "</Description>" & vbNewLine
      xml = xml & "       <Address>" & address & "</Address>" & vbNewLine
      xml = xml & "       <Tel>" & tel & "</Tel>" & vbNewLine
      
      xml = xml & "     </Location>" & vbNewLine
      contactCount = contactCount + 1
      End If
      'MsgBox xml
  Next i
  
  txt = txt & "]"

  
  If (contactCount < 1) Then
    MsgBox "No contact found to be mapped"
    Exit Sub
  End If
    
  xml = xml & "   </Locations>" & vbNewLine
  xml = xml & "</Trip>" & vbNewLine
    
    
  'MsgBox MsgTxt
  'MsgBox Right(xml, 50)
  'MsgBox xml
    
  ' create the IE html
  Dim html As String
  html = ""
  html = html & "<html>" & vbNewLine
  html = html & "<head>" & vbNewLine
  html = html & "<title>" & vbNewLine
  html = html & "MappedContacts.com Labels" & vbNewLine
  html = html & "</title>" & vbNewLine
  html = html & "</head>" & vbNewLine
  html = html & "<body onload=""GetLabels()"" >" & vbNewLine
  
  html = html & "<h1><center>" & vbNewLine
  html = html & "Outlook Contacts Map" & vbNewLine
  html = html & "</center></h1>" & vbNewLine
  
  html = html & "<form name=""outlook"" action=""" & LabelServerPage & """ method=""POST"" >" & vbNewLine
  'html = html & "<form name=""outlook"" action=""http://services.NicolaZordan.com/OutlookMap/MapLocationsOutlook.asp"" method=""POST"" >" & vbNewLine
  'html = html & "<form name=""outlook"" action=""http://localhost/web/1and1/NicolaZordan/services/OutlookMap/MapLocationsOutlook.asp"" method=""POST"" >" & vbNewLine
  
  
  html = html & "<center>" & vbNewLine
  'html = html & "<input type=""button"" value=""show map"" onClick=""ShowMap()"" />" & vbNewLine
  'html = html & "<input type=""submit"" value=""show map"" 0onClick=""ShowMap()"" />" & vbNewLine
  html = html & "<input type=""button"" value=""Labels"" onClick=""GetLabels()"" />" & vbNewLine
  html = html & "<table><tr><td align=""left"">" & vbNewLine
  html = html & cList & vbNewLine
  html = html & "</td></tr></table>" & vbNewLine
  html = html & "</center>" & vbNewLine
  
  html = html & "<script language=""JavaScript"">" & vbNewLine
  html = html & "<!--//" & vbNewLine
  html = html & "" & vbNewLine
  html = html & "" & vbNewLine
  
  html = html & "function GetMap() {" & vbNewLine
  html = html & "  document.outlook.submit();" & vbNewLine
  html = html & "};" & vbNewLine
  
  html = html & "function GetLabels() {" & vbNewLine
  html = html & "  //alert(Contacts);" & vbNewLine
  html = html & "  document.outlook.submit();" & vbNewLine
  html = html & "  //alert(Contacts);" & vbNewLine
  html = html & "  //window.open(" & """" & LabelServerPage & """" & ");" & vbNewLine
  html = html & "  //window.close();" & vbNewLine
  html = html & "};" & vbNewLine
  
  
  html = html & "" & vbNewLine
  
  'html = html & "var ZoneName='';" & vbNewLine
  html = html & "var ZoneName='Outlook Contacts';" & vbNewLine
  html = html & "var ZoneMembers=[];" & vbNewLine
  html = html & "var ZoneEMails=[];" & vbNewLine
  html = html & "var ZoneTeamLeadersIx=[];" & vbNewLine
  html = html & "var ZoneMeetingPlaces=[];" & vbNewLine
  
  html = html & "" & vbNewLine
  'html = html & "var MapPage='http://services.NicolaZordan.com/OutlookMap/MapLocationsZoneTxt.htm';  " & vbNewLine
  html = html & "var MapPage='http://MappedContacts.com/MapContacts.htm';  " & vbNewLine
  html = html & "var TripXMLdocument;  " & vbNewLine
  html = html & "function ShowMap () {" & vbNewLine
  html = html & "  //alert('show map');" & vbNewLine
  html = html & "  var xmlTxt=document.all.xmlTextArea.value;" & vbNewLine
  html = html & "  " & vbNewLine
  html = html & "  var xmlObj=new ActiveXObject('Microsoft.XMLDOM');" & vbNewLine
  html = html & "  xmlObj.async=false;" & vbNewLine
  html = html & "  xmlObj.loadXML(xmlTxt);" & vbNewLine
  html = html & "  " & vbNewLine
  html = html & "  TripXMLdocument=xmlObj;" & vbNewLine
  html = html & "  " & vbNewLine
  html = html & "  window.open(MapPage);" & vbNewLine
  html = html & "  " & vbNewLine
  html = html & "  //alert(xmlTxt);" & vbNewLine
  html = html & "  " & vbNewLine
  html = html & "" & vbNewLine
  html = html & "};" & vbNewLine
  html = html & "" & vbNewLine
  html = html & "//-->" & vbNewLine
  html = html & "</script>" & vbNewLine
  
  html = html & "" & vbNewLine
  
  html = html & "<script language=""JavaScript"">" & vbNewLine
  html = html & "<!--//" & vbNewLine
  html = html & "" & vbNewLine
  html = html & "//var Contacts=" & txt & ";" & vbNewLine
  html = html & "" & vbNewLine
  html = html & "//-->" & vbNewLine
  html = html & "</script>" & vbNewLine
  
  
  
  
  html = html & "<div style=""{visibility: hidden; display: none}"">" & vbNewLine
  html = html & "<textarea id=""xmlTextArea"" name=""xmlText"" >" & vbNewLine
  'html = html & "<textarea id=""jsTextArea"" name=""jsText"" >" & vbNewLine
  html = html & xml & vbNewLine
  'html = html & txt & vbNewLine
  html = html & "</textarea>" & vbNewLine
  html = html & "</div>" & vbNewLine
  
  html = html & "</form>" & vbNewLine
  
  
  html = html & "</body>" & vbNewLine
  html = html & "</html>" & vbNewLine
  
  ' open IE window
  'Dim IE As SHDocVw.InternetExplorer
      Set IE = CreateObject("InternetExplorer.application")
      IE.Navigate2 ("about:blank")

      IE.Visible = True
      ' Change the following line to the Internet site you want to open.
      's.Navigate "http://webmail//SampleFolder/"
      'Set ied = IE.document
      IE.document.Write html
      IE.document.Close
      
      'MsgBox ied.Body.innerHTML
      'ed.Body.innerHTML = html
      'MsgBox ied.Body.innerHTML
      'ie.window.document.innerHTML = html

  
  ' put html and xml in it
  ' open map display
    
    
End Sub




